Case API

concept australia Updated Sep 10, 2026 163 min read case-api.md
Raw file servicenow.com

The Case API provides endpoints that enable you to retrieve and update Customer Service Management (CSM) case records.

In addition, you can generate new social media profile records when creating a case.

The Case API requires the Case Management Core plugin (com.sn_customerservice) and is provided within the sn_customerservice namespace.

Users must have the csm_ws_integration role for full API access. External users with the sn_customerservice.customer or sn_customerservice.consumer roles can also access the endpoints.

Parent Topic:REST API reference

Case - GET /sn_customerservice/case/{id}/activities

Retrieves the activity stream for a specified Customer Service Management (CSM) case.

Use this endpoint to retrieve all entries from the activity stream for a specified record from the Case [sn_customerservice_case] table.

To use this endpoint, users must have the csm_ws_integration, sn_customerservice.customer, or sn_customerservice.consumer role.

Note: You can reference all sysparm query parameters using either their full name or their shortened name (without the sysparm_ prefix). For example, for sysparm_limit you can also use limit.

URL format

Versioned URL: /api/sn_customerservice/{api_version}/case/{id}/activities

Default URL: /api/sn_customerservice/case/{id}/activities

Note: Available versions are specified in the REST API Explorer. For scripted REST APIs there is additional version information on the Scripted REST Service form.

Supported request parameters

Name

Description

api_version

Optional. Version of the endpoint to access. For example, v1 or v2. Only specify this value to use an endpoint version other than the latest. Data type: String

id

Sys_id or case number of the case to retrieve. Results will be unpredictable if a specified case number is shared by two or more cases.Data type: String

Table: Case [sn_customerservice_case]

Name

Description

sysparm_activity_type

Filters the type of activities to return from the activity stream. The entries.element parameter contains the activity type for each activity. For example:

  • sysparm_activity_type=attachment
  • sysparm_activity_type=work_notes
  • sysparm_activity_type=attachment,work_notes
  • sysparm_ activity_type=attachment,work_notes,comments

Data type: String

Default: Returns all types of activity.

sysparm_limit

Maximum number of records to return. Unusually large sysparm_limit values can impact system performance. For requests that exceed this number of records, use the sysparm_offset parameter to paginate record retrieval. Data type: Number

sysparm_offset

Starting record index for which to begin retrieving records. Use this value to paginate record retrieval. This functionality enables the retrieval of all records, regardless of the number of records, in small manageable chunks. For example, the first time you call this endpoint, sysparm_offset is set to "0". To simply page through all available records, use sysparm_offset=sysparm_offset+sysparm_limit, until you reach the end of all records.

Do not pass a negative number in the sysparm_offset parameter.Data type: Number

Default: 0

|Name|Description| |----|-----------| |None| |

Headers

The following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see Supported REST API headers.

Header

Description

Accept

Data format of the response body. Supported types: application/json or application/xml. Default: application/json

Header

Description

Link

REST response data can be split into multiple result sets. Where applicable, the response header contains different links for the first set, previous set, next set, and the last set of records.For example:

https://<instance name>.service-now.com/api/now/table/cmdb_ci?sysparm_offset=40&sysparm_limit=1000>;rel="next",

https://<instance name>.service-now.com/api/now/table/cmdb_ci?sysparm_offset=40&sysparm_limit=1000>;rel="prev",

https://<instance name>.service-now.com/api/now/table/cmdb_ci?sysparm_offset=0&sysparm_limit=1000>;rel="first",

https://<instance name>.service-now.com/api/now/table/cmdb_ci?sysparm_offset=2780&sysparm_limit=1000>;rel="last"

X-Total-Count

Response header showing the total number of records matching the request when the sysparm_limit or sysparm_offset query parameters are specified.

### Status codes

The following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see REST API HTTP response codes.

Status code Description
200 Successful. The request was successfully processed.
401 Unauthorized. The user credentials are incorrect or have not been passed.
404 Not found. The requested item wasn't found.
500 Internal Server Error. A logic error on the server-side code occurred.

Response body parameters (JSON or XML)

Name

Description

display_value

Case number for the CSM case.Data type: String

entries

List that represents activity stream entries from the CSM case.Data type: Array of Objects

JavaScript
"entries": [  {    "attachment": {Object},    "contains_code": Boolean,    "element": "String",    "field_label": "String",    "initials": "String",    "login_name": "String",    "name": "String",    "sys_created_on": "String",    "sys_created_on_adjusted": "String",    "sys_id": "String",    "user_sys_id": "String",    "value": "String"  }]

entries.attachment

Description of a file attached to the CSM case in the activity stream entry.Data type: Object

JavaScript
"attachment": {  "average_image_color": "String",  "content_type": "String",  "file_name": "String",  "image_height": Number,  "image_path": "String",  "image_width": Number,  "path": "String",  "size": "String",  "size_bytes": Number,  "state": "String",  "sys_id": "String",  "thumbnail_path": "String"}

entries.attachment.average_image_color

Hexadecimal representation of average color for image attachment.Data type: String

entries.attachment.content_type

MIME type for the attachment.Examples include:

  • application/pdf
  • image/jpeg
  • message/rfc822

Data type: String

entries.attachment.file_name

File name for the attachment.Data type: String

entries.attachment.image_height

Height of image attachment in pixels.Data type: Number

entries.attachment.image_path

Direct download link for image attachment.Data type: String

entries.attachment.image_width

Width of image attachment in pixels.Data type: Number

entries.attachment.path

Direct link to the attachment.Data type: String

entries.attachment.size

Size of the attachment.Examples:

  • 157.7 KB
  • 2.2 MB

Data type: String

entries.attachment.size_bytes

Size of the attachment.Data type: Number

Unit: Bytes

entries.attachment.state

State of the attachment record.Possible values:

  • Available
  • Available Conditionally
  • Not available
  • Pending

Data type: String

Table: Attachment [sys_attachment]

entries.attachment.sys_id

Sys_id for the attachment.Data type: String

Table: Attachment [sys_attachment]

entries.attachment.thumbnail_path

Direct download link for thumbnail of image attachment.Data type: String

entries.contains_code

Flag that indicates whether the activity stream entry contains code or not.Possible values:

  • true: The activity stream entry contains code.
  • false: The activity stream entry doesn't contain code.

Data type: Boolean

entries.element

Name for the journal field associated with the activity stream entry.Data type: String

Table: Dictionary Entries [sys_dictionary]

entries.field_label

Display name for the journal field associated with the activity stream entry.Data type: String

entries.initials

Initials of the user who created the activity stream entry.Data type: String

entries.login_name

Full user name for the user who created the activity stream entry.Data type: String

entries.name

Full user name for the user who created the activity stream entry.Data type: String

entries.sys_created_on

Date and time of creation for the activity stream entry, expressed in GMT timezone.Data type: String

Format: YYYY-MM-DD hh:mm:ss

entries.sys_created_on_adjusted

Date and time of creation for the activity stream entry, expressed in logged-in user timezone.Data type: String

Format: YYYY-MM-DD hh:mm:ss

entries.sys_id

Sys_id for the activity stream entry.Data type: String

entries.user_sys_id

Sys_id for user who created the activity stream entry. Data type: String

Table: User [sys_user]

entries.value

Value for this journal entry.Data type: String

journal_fields

List of journal fields present in the Case table from which activity entries are drawn.Data type: Array of Objects

JavaScript
"journal_fields": [  {    "can read": Boolean,    "can_write": Boolean,    "color": "String",    "label": "String",    "name": "String"  }]

journal_fields.can_read

Flag that indicates whether the logged-in user can read this journal field or not.Possible values:

  • true: The logged-in user can read this journal field.
  • false: The logged-in user can't read this journal field.

Data type: Boolean

journal_fields.can_write

Flag that indicates whether the logged-in user can write to the journal field or not.Possible values:

  • true: The logged-in user can write to this journal field.
  • false: The logged-in user can't write to this journal field.

Data type: Boolean

journal_fields.color

Color that represents the journal field in case activity stream on ServiceNow AI Platform.Data type: String

journal_fields.label

Display name for the journal field.Data type: String

journal_fields.name

Name for the journal field.Data type: String

Table: Dictionary Entries [sys_dictionary]

label

Display label for the table in which the CSM case record appears.Possible value: Case

Data type: String

number

Case number for the CSM case.Data type: String

short_description

Short description for the CSM case.Data type: String

sys_created_on

Date and time of case creation, expressed in GMT timezone.Data type: String

Format: YYYY-MM-DD hh:mm:ss

sys_created_on_adjusted

Date and time of case creation, expressed in logged-in user timezone.Data type: String

Format: YYYY-MM-DD hh:mm:ss

sys_id

Sys_id for the CSM case.Data type: String

Table: Case [sn_customerservice_case]

table

Name of the table in which the CSM case appears.Possible value: sn_customerservice_case

Data type: String

thumbnail_path

Direct link to get thumbnail for attachment (only for attachment of type images.)Data type: String

user_full_name

Full name for logged-in user.Data type: String

user_login

User ID for logged-in user.Data type: String

user_sys_id

Sys_id for logged-in user.Data type: String

Table: User [sys_user]

### cURL request

Retrieve the complete activity stream for a CSM case by sys_id.

Shell
curl --request GET 'https://instance.servicenow.com/api/sn_customerservice/case/f352dc9387632300d6b0a7da0acb0b60/activities'  \--request GET \--header 'Accept: application/json' \--user 'username':'password'

The response shows a single activity stream entry for the specified case, an Additional comments journal entry submitted by the agent.

JSON
{  "result": {    "display_value": "CS0001401",    "sys_id": "f352dc9387632300d6b0a7da0acb0b60",    "short_description": "Laptop is not working properly",    "number": "CS0001401",    "entries": [      {        "sys_created_on_adjusted": "2020-05-04 14:15:44",        "sys_id": "600b6e4adb241010d045232d1396196a",        "login_name": "John Jason",        "user_sys_id": "da419c1fc312310015519f2974d3ae15",        "initials": "JJ",        "sys_created_on": "2020-05-04 21:15:44",        "contains_code": "false",        "field_label": "Additional comments",        "name": "John Jason",        "value": "Hi, Alex. Can you please send me a photo of the label on your laptop so we can send you the correct replacement?",        "element": "comments"      }    ],    "user_sys_id": "b1e0989f87232300d6b0a7da0acb0beb",    "user_full_name": "Mark Johnson",    "user_login": "admin",    "label": "Case",    "table": "sn_customerservice_case",    "journal_fields": [      {        "can_read": true,        "color": "transparent",        "can_write": true,        "name": "comments",        "label": "Additional comments"      },      {        "can_read": true,        "color": "gold",        "can_write": true,        "name": "work_notes",        "label": "Work notes"      }    ],    "sys_created_on": "2019-02-15 21:57:04",    "sys_created_on_adjusted": "2019-02-15 13:57:04"  }}

Case - GET /sn_customerservice/case/field_values/{field_name}

Retrieves the list of possible field values for a choice or reference field in the Case [sn_customerservice_case] table.

To use this endpoint, users must have the csm_ws_integration, sn_customerservice.customer, or sn_customerservice.consumer role.

Use this endpoint to populate field value lists in case creation forms.

When you request values for a reference field, any reference qualifiers defined for the requested field in the Dictionary Entry [sys_dictionary] table are applied. For more information on reference qualifiers, see Reference qualifiers.

You can use the sysparm_ref_qual_input query parameter to specify field values to use when evaluating JavaScript reference qualifiers. For an example, see the query parameter listing below.

When you request values for a choice field that is dependent on another field, you can use the sysparm_dependent_value query parameter to specify a value for the dependency parent field and restrict the returned field values accordingly. For more details on dependent fields, see Make a field dependent.

Note: You can reference all sysparm query parameters using either their full name or their shortened name (without the sysparm_ prefix). For example, for sysparm_limit you can also use limit.

URL format

Versioned URL: /api/sn_customerservice/{api_version}/case/field_values/{field_name}

Default URL: /api/sn_customerservice/case/field_values/{field_name}

Note: Available versions are specified in the REST API Explorer. For scripted REST APIs there is additional version information on the Scripted REST Service form.

Supported request parameters

Name

Description

api_version

Optional. Version of the endpoint to access. For example, v1 or v2. Only specify this value to use an endpoint version other than the latest. Data type: String

field_name

Name of a choice or reference field.Data type: String

Table: Case [sn_customerservice_case]

Name

Description

sysparm_dependent_value

Value to select in the Case [sn_customerservice_case] table choice field that the requested field is dependent on. Use only when requesting a choice field that is dependent on another field.As an example, suppose you create a custom Channel Instance choice field in the Case table which is dependent on the default Channel choice field. When sysparm_dependent_value is not specified, this endpoint returns the full set of values for your custom field. To instead return only the subset of custom field values that are available when the Phone CSM channel is chosen from the Channel field, specify:

sysparm_dependent_value=Phone

Data type: String

sysparm_limit

Maximum number of records to return. Unusually large sysparm_limit values can impact system performance. For requests that exceed this number of records, use the sysparm_offset parameter to paginate record retrieval. Data type: Number

sysparm_offset

Starting record index for which to begin retrieving records. Use this value to paginate record retrieval. This functionality enables the retrieval of all records, regardless of the number of records, in small manageable chunks. For example, the first time you call this endpoint, sysparm_offset is set to "0". To simply page through all available records, use sysparm_offset=sysparm_offset+sysparm_limit, until you reach the end of all records.

Do not pass a negative number in the sysparm_offset parameter.Data type: Number

Default: 0

sysparm_reference_field_columns

Comma-separated list of column names, from the table of the specified reference field, to return in the response. For example, if Contact is the specified reference field, you would include a list of all the fields in the Contact table to return.Data type: String

sysparm_query

Encoded query used to filter the result set. Queries defined using this parameter are appended to any encoded queries produced by reference qualifiers.For example:

(sysparm_query=caller_id=javascript:gs.getUserID()^active=true)

The encoded query supports order by. To sort responses based on certain fields, use the ORDERBY and ORDERBYDESC clauses in sysparm_query. For example, sysparm_query=active=true^ORDERBYnumber^ORDERBYDESCcategory filters all active records and orders the results in ascending order by number first, and then in descending order by category.

If part of the query is invalid, such as by specifying an invalid field name, the instance ignores the invalid part. It then returns rows using only the valid portion of the query. You can control this behavior using the property glide.invalid_query.returns_no_rows. Set this property to true to return no rows on an invalid query.

Note: The glide.invalid_query.returns_no_rows property controls the behavior of all queries across the instance, such as in lists, scripts (GlideRecord.query()), and web service APIs.

Data type: String

sysparm_ref_qual_input

Encoded set of field values representing a current object to pass to reference qualifiers that use JavaScript functions. Use only when requesting a reference field.For example, when requesting values from the Asset field, you can set this query parameter value to return only assets belonging to the specified product instead of assets belonging to the product associated with the specified case:

sysparm_ref_qual_input=product=5d1b7bb053401010dc25ddeeff7b129d

Data type: String

Syntax: {field1}={value1}^{field2}={value2}[…]

|Name|Description| |----|-----------| |None| |

Headers

The following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see Supported REST API headers.

Header

Description

Accept

Data format of the response body. Supported types: application/json or application/xml. Default: application/json

Header

Description

Link

REST response data can be split into multiple result sets. Where applicable, the response header contains different links for the first set, previous set, next set, and the last set of records.For example:

https://<instance name>.service-now.com/api/now/table/cmdb_ci?sysparm_offset=40&sysparm_limit=1000>;rel="next",

https://<instance name>.service-now.com/api/now/table/cmdb_ci?sysparm_offset=40&sysparm_limit=1000>;rel="prev",

https://<instance name>.service-now.com/api/now/table/cmdb_ci?sysparm_offset=0&sysparm_limit=1000>;rel="first",

https://<instance name>.service-now.com/api/now/table/cmdb_ci?sysparm_offset=2780&sysparm_limit=1000>;rel="last"

### Status codes

The following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see REST API HTTP response codes.

Status code Description
200 Successful. The request was successfully processed.
400 Bad Request. A bad request type or malformed request was detected.
401 Unauthorized. The user credentials are incorrect or have not been passed.
500 Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.

Response body parameters (JSON or XML)

Name

Description

result

List of values for the requested field.Data type: Array of Objects

CSS
"result": [  {    "label": "String",    "value": "String"  }]

result.label

Display value for the field value.Data type: String

result.value

Field value.Data type: String

### cURL request

Retrieve values for the contact reference field from all cases:

Shell
curl 'https://instance.servicenow.com/api/sn_customerservice/case/field_values/contact' \--request GET \--header 'Accept: application/json' \--user 'username':'password'

The response displays labels and values for matching contacts:

JSON
{  "result": [    {      "label": "Amy Pascal",      "value": "268e22b0d7300200e5982cf65e6103d3"    },    {      "label": "Marta Hoch",      "value": "8c974d254fb81200025ba3618110c707"    },    {      "label": "Charlie Brown",      "value": "078d399dd7600200e5982cf65e6103a2"    },    {      "label": "Alex Linde",      "value": "60beb5e7d7600200e5982cf65e6103ad"    },    {      "label": "Crissy Stark",      "value": "00189b324f1e0200c0adfe618110c76d"    },    {      "label": "Denis Koch",      "value": "07e6fa386f0331003b3c498f5d3ee4a1"    }  ]}

Case - GET /sn_customerservice/case/{id}/field_values/{field_name}

Retrieves the list of possible field values for a choice or reference field for a specified record in the Case [sn_customerservice_case] table.

To use this endpoint, users must have the csm_ws_integration, sn_customerservice.customer, or sn_customerservice.consumer role.

Use this endpoint to populate field value lists in case update forms.

When you request values for a reference field, any reference qualifiers defined for the requested field in the Dictionary Entry [sys_dictionary] table are applied, using values from the specified case record. For more information on reference qualifiers, see Reference qualifiers.

You can use the sysparm_ref_qual_input query parameter to override values from the specified case when evaluating JavaScript reference qualifiers. For an example, see the query parameter listing below.

When you request values for a choice field that is dependent on another field, this endpoint limits returned field values based on the dependency parent field value selected in the specified case record. For more details on dependent fields, see Make a field dependent.

You can use the sysparm_dependent_value query parameter to override the selection from the dependency parent field. For an example, see the query parameter listing below.

Note: You can reference all sysparm query parameters using either their full name or their shortened name (without the sysparm_ prefix). For example, for sysparm_limit you can also use limit.

URL format

Versioned URL: /api/sn_customerservice/{api_version}/case/{id}/field_values/{field_name}

Default URL: /api/sn_customerservice/case/{id}/field_values/{field_name}

Note: Available versions are specified in the REST API Explorer. For scripted REST APIs there is additional version information on the Scripted REST Service form.

Supported request parameters

Name

Description

api_version

Optional. Version of the endpoint to access. For example, v1 or v2. Only specify this value to use an endpoint version other than the latest. Data type: String

field_name

Name of a choice or reference field.Data type: String

Table: Case [sn_customerservice_case]

id

Sys_id of a record to use when evaluating reference qualifiers.Data type: String

Table: Case [sn_customerservice_case]

Name

Description

sysparm_dependent_value

Value to select in the Case [sn_customerservice_case] table choice field that the requested field is dependent on. Use only when requesting a choice field that is dependent on another field.As an example, suppose you create a custom Channel Instance choice field in the Case table which is dependent on the default Channel choice field. When sysparm_dependent_value is not specified, this endpoint returns the full set of values for your custom field. To instead return only the subset of custom field values that are available when the Phone CSM channel is chosen from the Channel field, specify:

sysparm_dependent_value=Phone

Data type: String

sysparm_limit

Maximum number of records to return. Unusually large sysparm_limit values can impact system performance. For requests that exceed this number of records, use the sysparm_offset parameter to paginate record retrieval. Data type: Number

sysparm_offset

Starting record index for which to begin retrieving records. Use this value to paginate record retrieval. This functionality enables the retrieval of all records, regardless of the number of records, in small manageable chunks. For example, the first time you call this endpoint, sysparm_offset is set to "0". To simply page through all available records, use sysparm_offset=sysparm_offset+sysparm_limit, until you reach the end of all records.

Do not pass a negative number in the sysparm_offset parameter.Data type: Number

Default: 0

sysparm_query

Encoded query used to filter the result set. Queries defined using this parameter are appended to any encoded queries produced by reference qualifiers.For example:

(sysparm_query=caller_id=javascript:gs.getUserID()^active=true)

The encoded query supports order by. To sort responses based on certain fields, use the ORDERBY and ORDERBYDESC clauses in sysparm_query. For example, sysparm_query=active=true^ORDERBYnumber^ORDERBYDESCcategory filters all active records and orders the results in ascending order by number first, and then in descending order by category.

If part of the query is invalid, such as by specifying an invalid field name, the instance ignores the invalid part. It then returns rows using only the valid portion of the query. You can control this behavior using the property glide.invalid_query.returns_no_rows. Set this property to true to return no rows on an invalid query.

Note: The glide.invalid_query.returns_no_rows property controls the behavior of all queries across the instance, such as in lists, scripts (GlideRecord.query()), and web service APIs.

Data type: String

sysparm_reference_field_columns

Comma-separated list of column names, from the table of the specified reference field, to return in the response. For example, if Contact is the specified reference field, you would include a list of all the fields in the Contact table to return.Data type: String

sysparm_ref_qual_input

Encoded set of field values representing a current object to pass to reference qualifiers that use JavaScript functions. Use only when requesting a reference field.For example, when requesting values from the Asset field, you can set this query parameter value to return only assets belonging to the specified product instead of assets belonging to the product associated with the specified case:

sysparm_ref_qual_input=product=5d1b7bb053401010dc25ddeeff7b129d

Data type: String

Syntax: {field1}={value1}^{field2}={value2}[…]

|Name|Description| |----|-----------| |None| |

Headers

The following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see Supported REST API headers.

Header

Description

Accept

Data format of the response body. Supported types: application/json or application/xml. Default: application/json

Header

Description

Link

REST response data can be split into multiple result sets. Where applicable, the response header contains different links for the first set, previous set, next set, and the last set of records.For example:

https://<instance name>.service-now.com/api/now/table/cmdb_ci?sysparm_offset=40&sysparm_limit=1000>;rel="next",

https://<instance name>.service-now.com/api/now/table/cmdb_ci?sysparm_offset=40&sysparm_limit=1000>;rel="prev",

https://<instance name>.service-now.com/api/now/table/cmdb_ci?sysparm_offset=0&sysparm_limit=1000>;rel="first",

https://<instance name>.service-now.com/api/now/table/cmdb_ci?sysparm_offset=2780&sysparm_limit=1000>;rel="last"

### Status codes

The following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see REST API HTTP response codes.

Status code Description
200 Successful. The request was successfully processed.
400 Bad Request. A bad request type or malformed request was detected.
401 Unauthorized. The user credentials are incorrect or have not been passed.
500 Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.

Response body parameters (JSON or XML)

Name

Description

result

List of values for the requested field.Data type: Array of Objects

CSS
"result": [  {    "label": "String",    "value": "String"  }]

result.label

Display value for the field value.Data type: String

result.value

Field value.Data type: String

### cURL request

Retrieve the contact reference field value for an existing case:

Shell
curl 'https://instance.servicenow.com/api/sn_customerservice/case/f352dc9387632300d6b0a7da0acb0b60/field_values/contact' \--request GET \--header 'Accept: application/json' \--user 'username':'password'

The response displays the label and value for the contact assigned to the specified case:

JSON
{  "result": [    {      "label": "Alex Linde",      "value": "60beb5e7d7600200e5982cf65e6103ad"    }  ]}

Case - GET /sn_customerservice/case/{id}

Retrieves the specified Customer Service Management (CSM) case.

To use this endpoint, users must have the csm_ws_integration, sn_customerservice.customer, or sn_customerservice.consumer role.

Note: You can reference all sysparm query parameters using either their full name or their shortened name (without the sysparm_ prefix). For example, for sysparm_limit you can also use limit.

URL format

Versioned URL: /api/sn_customerservice/{api_version}/case/{id}

Default URL: /api/sn_customerservice/case/{id}

Note: Available versions are specified in the REST API Explorer. For scripted REST APIs there is additional version information on the Scripted REST Service form.

Supported request parameters

Name

Description

api_version

Optional. Version of the endpoint to access. For example, v1 or v2. Only specify this value to use an endpoint version other than the latest. Data type: String

id

Sys_id or case number for the case to retrieve. Results will be unpredictable if a specified case number is shared by two or more cases.Data type: String

Table: Case [sn_customerservice_case]

Name

Description

sysparm_display_value

Determines the type of data returned, either the actual values from the database or the display values of the fields. Display values are manipulated based on the actual value in the database and user or system settings and preferences.If returning display values, the value that is returned is dependent on the field type.

  • Choice fields: The database value may be a number, but the display value will be more descriptive.
  • Date fields: The database value is in UTC format, while the display value is based on the user's time zone.
  • Encrypted text: The database value is encrypted, while the displayed value is unencrypted based on the user's encryption context.
  • Reference fields: The database value is sys_id, but the display value is a display field of the referenced record.

Data type: String

Valid values:

  • true: Returns the display values for all fields.
  • false: Returns the actual values from the database.
  • all: Returns both actual and display values.

Default: false

Note: There is no preferred method for setting this parameter. However, specifying the display value may cause performance issues since it is not reading directly from the database and may include referencing other fields and records. For more information on display values and actual values, see Table API FAQs (KB0534905).

|Name|Description| |----|-----------| |None| |

Headers

The following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see Supported REST API headers.

Header

Description

Accept

Data format of the response body. Supported types: application/json or application/xml. Default: application/json

|Header|Description| |------|-----------| |None| |

Status codes

The following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see REST API HTTP response codes.

Status code

Description

200

Successful. The request was successfully processed.

404

Indicates that the request is invalid. Could be due to one of the following reasons:- Requested case does not exist.

  • User does not have access to the case.
### Response body parameters \(JSON or XML\)

Element

Description

account

Sys_id of the account record associated with the case.

Data type: String

Table: Account [customer_account]

account

Account details.Data type: Object

Shell
"account": {  "account_code": "String",  "account_parent": "String",  "account_path": "String",  "active_escalation": "String",  "apple_icon": Image,  "banner_image": Image,  "banner_image_light": Image,  "banner_text": "String",  "city": "String",  "contact": "String",  "country": "String",  "customer": "String",  "discount": "String",  "fax_phone": "String",  "fiscal_year": "String",  "lat_long_error": "String",  "latitude": "String",  "longitude": "String",  "market_cap": "String",  "name": "String",  "notes": "String",  "num_employees": Number,  "number": "String",  "parent": "String",  "partner": "String",  "phone": "String",  "primary": Boolean,  "primary_contact": "String",  "profits": Number,  "publicly_traded": Boolean,  "rank_tier": "String",  "registration_code": "String",  "revenue_per_year": Number,  "state": "String",  "stock_price": "String",  "stock_symbol": "String",  "street": "String",  "sys_class_name": "String",  "sys_created_by": "String",  "sys_created_on": "String",  "sys_id": "String",  "sys_mod_count": Number,  "sys_updated_by": "String",  "sys_updated_on": "String",  "theme": "String",  "vendor": Boolean,  "vendor_manager": "String",  "vendor_type": "String",  "website": "String",  "zip": "String}

account.account_code

Unique combination of values that an application uses to identify budget forecasts and budget plans.Data type: String

Maximum length: 255

account.account_parent

Sys_id of the parent account of this account. Located in the Account [customer_account] table.Data type: String

account.account_path

Path from the parent to the child accounts in the account hierarchy.Data type: String

Maximum length: 255

account.active_escalation

Sys_id of the active escalation associated with the account.Data type: String

Table: Escalation [sn_customerservice_escalation]

account.apple_icon

Icon for iPhone home page bookmarks.Data type: Image

account.banner_image

Banner image that appears on the customer portal.Data type: Image

account.banner_image_light

Small banner image.Data type: Image

account.banner_text

Banner text that appears on the customer portal.Data type: String

Maximum length: 4,000

account.city

City in which the company that is associated with this account resides.Data type: String

Maximum length: 50

account.contact

Sys_id of a contact record associated with this account.Data type: String

Table: User [sys_user]

account.country

Country in which the company that is associated with this account resides.Data type: String

Maximum length: 40

Default: USA

account.customer

Flag that indicates whether the account is a customer account, as opposed to a partner account.Possible values:

  • true: Customer account
  • false: Partner account

Data type: Boolean

Default: false

account.discount

Discount given to the account on purchases.Data type: Number

Maximum length: 15

account.fax_phone

Primary fax phone number for the company associated with this account.Data type: String

Maximum length: 40

account.fiscal_year

Fiscal year for the company associated with the account.Data type: String

account.lat_long_error

Difference in the actual location as compared to latitude and longitude information.Data type: String

Maximum length: 1,000

account.latitude

Latitude of the company associated with this account.Data type: Number (floating point number)

Maximum length: 40

account.longitude

Longitude of the company associated with this account.Data type: Number (floating point number)

Maximum length: 40

account.manufacturer

Flag that indicates whether the company associated with this account manufactures goods.Possible values:

  • true: Manufactures goods
  • false: Does not manufacture goods

Data type: Boolean

Default: false

account.market_cap

Market value of the associated company's publicly traded stock shares.Data type: Number (currency)

Maximum length: 20

account.name

Name of the company associated with this account.Data type: String

Maximum length: 80

account.notes

Additional information about the company.Data type: String

Maximum length: 4,000

account.num_employees

Number of people employed by the company.Data type: Number (Integer)

Maximum length: 40

account.number

Number that identifies this account.Data type: String

Maximum length: 40

account.parent

Sys_id of the parent account of this account.Data type: String

Table: Company [core_company]

account.partner

Flag that indicates whether the account is a partner account or a customer account.Possible values:

  • true: Partner account
  • false: Customer account

Data type: Boolean

Default: false

account.phone

Primary phone number for the company.Data type: String

account.primary

Flag that indicates whether this is a primary account.Possible values:

  • true: Primary account
  • false: Secondary account

Data type: Boolean

Default: false

account.primary_contact

Sys_id of the primary contact for the account.Data type: String

Table: Contact [customer_contact]

account.profits

Profit information entered for this account.Data type: Number (Currency)

Maximum length: 40

account.publicly_traded

Flag that indicates whether the company associated with this account is publicly traded on the stock exchange.Possible values:

  • true: Publicly traded
  • false: Private company

Data type: Boolean

account.rank_tier

Type of account.Possible values:

  • blacklist
  • other
  • strategic
  • tactical
  • valued

Data type: String

Maximum length: 40

account.registration_code

Unique code that customers use when requesting a login on the customer portal. This code provides a method for validating the customer on the company before granting access.Data type: String

Maximum length: 40

account.revenue_per_year

Revenue produced by the company associated with this account.Data type: Number (Currency)

Maximum length: 20

account.state

State in which the company resides.Data type: String

Maximum length: 40

account.stock_price

Price of the company stock.Data type: String

Maximum length: 40

account.stock_symbol

Stock symbol of the company.Data type: String

Maximum length: 40

account.street

Street address of the company.Data type: String

Maximum length: 255

account.sys_class_name

Table that contains the associated account record.Data type: String

account.sys_created_by

User that originally created the account.Data type: String

Maximum length: 40

account.sys_created_on

Date and time that the account was originally created.Data type: String

account.sys_id

Sys_id for the account record.Data type: String

account.sys_mod_count

Number of times the account information has been updated.Data type: Number (Integer)

account.sys_updated_by

User that last modified the account information.Data type: String

Maximum length: 40

account.sys_updated_on

Date and time the account information was last updated.Data type: String

account.theme

Sys_id of the customer portal theme used by this account.Data type: String

Table: Theme [sys_ui_theme]

account.vendor

Flag that indicates whether the company associated with this account is a vendor.Possible values:

  • true: Vendor
  • false: Not a vendor

Data type: Boolean

Default: false

account.vendor_manager

List of sys_ids of the vendor managers for the account.Data type: String

Table: User [sys_user]

account.vendor_type

List of sys_ids of the type of vendor such as, applications, hardware, services, or software.Data type: String

Table: Vendor Type [vendor_type]

account.website

URL of the website for the company.Data type: String

Maximum length: 1,024

account.zip

Zip code of the company.Data type: String

Maximum length: 40

active

Flag that indicates whether the case is open and active.Possible values:

  • true: Case is active
  • false: Case is closed

Data type: Boolean

Default: true

active_account_escalation

Sys_id of the active account escalation record associated with the case.Data type: String

Table: Escalation [sn_customerservice_escalation]

active_escalation

Sys_id of the active escalation record associated with the case.Data type: String

Table: Escalation [sn_customerservice_escalation]

activity_due

Date for which the associated case is expected to be completed.Data type: String

additional_assignee_list

List of the sys_ids of the additional persons (other than the primary assignee) that have been assigned to the account.Data type: Array

Maximum: 4,000

Table: User [sys_user]

approval

String that describes the type of approval required.Possible values:

  • approved
  • cancelled
  • duplicate
  • not_required
  • not requested
  • rejected
  • requested

Data type: String

Maximum characters: 40

Default: not requested

approval_history

List of all approvals associated with the case.Data type: String

Maximum characters: 4,000

approval_set

Date and time that the associated action was approved.Data type: String

asset

Sys_id of the asset record associated with the case.Data type: String

Table: Asset [alm_asset]

assigned_to

Sys_id of the person assigned to the case.

Table: User [sys_user]

Data type: String

assignment_group

Sys_id of the customer service agent group assigned to the case.Data type: String

Table: Group [sys_user_group]

business_duration

Length in calendar work hours, work days, and work weeks that it took to complete the case.Data type: String

business_impact

Impact of the issue on the associated customer.Data type: String

Maximum characters: 4,000

business_service

Sys_id of the service record associated with the case.Data type: String

Table: Service [cmdb_ci_service]

case

Case short description and case number.Data type: String

Maximum length: 300

case_report

Sys_id of the associated case report.Data type: String

Table: Case Report [sn_customerservice_case_report]

category

Case category.Possible values:

  • 0: Question
  • 1: Issue
  • 2: Feature

Data type: Number (Integer)

Default: 1

cause

Details about the cause of the problem.Data type: String

Maximum length: 4,000

caused_by

Sys_id of the change request that caused the case to be created.Data type: String

Table: Change Request [change_request]

change

Sys_id of the change request that caused the case to be created.Data type: String

Table: Change Request [change_request]

child_case_creation_progress

Flag that indicates whether the case is a child case that was created from a major case.Possible values:

  • true: Child case created from a major case
  • false: Not a child case

Data type: Boolean

closed_at

Date and time that the case was closed.Data type: String

closed_by

Sys_id of the user that closed the case.Data type: String

Table: User [sys_user]

close_notes

Notes made when the case was closed.Data type: String

Maximum length: 4,000

cmdb_ci

Sys_id of the configuration item associated with the case.Data type: String

Table: Configuration Item [cmdb_ci]

comments

Additional comments about the case.Data type: String

Maximum length: 4,000

comments_and_work_notes

Comments and work notes entered for the case.Data type: String

Maximum length: 4,000

company

Sys_id of the company associated with the case.Data type: String

Table: Company [core_company]

consumer

Business-to-consumer cases only. Sys_id of the person to contact with regard to this case.Data type: String

Table: Consumer [csm_consumer]

consumer

Array of parameters for business-to-consumer cases.

consumer.active

Flag that indicates whether the consumer is active.Possible values:

  • true: Consumer active
  • false: Consumer de-activated

Data type: Boolean

Default: true

consumer.business_phone

Business phone number of the consumer.Data type: String

Maximum length: 40

consumer.city

City in which the consumer resides.Data type: String

Maximum length: 100

consumer.country

Country in which the consumer resides.Data type: String

Maximum length: 40

consumer.date_format

Format in which to display dates.Valid values:

  • dd-mm-yyyy
  • dd/mm/yyyy
  • dd.mm.yyyy
  • mm-dd-yyyy
  • yyyy-mm-dd

Data type: String

Maximum length: 40

Default: blank (system date format)

consumer.email

Email address of the consumer.Data type: String

Maximum length: 100

consumer.fax

Fax number of the consumer.Data type: String

Maximum length: 40

consumer.first_name

Consumer first name.Data type: String

Maximum length: 50

consumer.gender

Gender of the consumer.Data type: String

Maximum length: 40

consumer.home_phone

Home phone number of the consumer.Data type: String

Maximum length: 40

consumer.household

Sys_id of the record that describes the household characteristics.Data type: String

Table: Household [csm_household]

consumer.last_name

Consumer last name.Data type: String

Maximum length: 50

consumer.middle_name

Consumer middle name.Data type: String

Maximum length: 50

consumer.mobile_phone

Consumer mobile phone number.Data type: String

Maximum length: 40

consumer.name

Consumer full name; first_name+middle_name+last_name.Data type: String

Maximum length: 152

consumer.notes

Notes on consumer.Data type: String

Maximum length: 4,000

consumer.notification

Indicates whether the consumer should receive notifications.Valid values:

  • 1: Disabled
  • 2: Enabled

Data type: Number (Integer)

Maximum length: 40

Default: 2

consumer.number

Unique number associated with the consumer.Data type: String

Maximum length: 40

consumer.photo

Photo of the consumer.Data type: Image

consumer.preferred_language

Consumer primary language.Data type: String

Maximum length: 3

consumer.prefix

Consumer name prefix such as, Dr., Mr., Mrs., or Ms.Data type: String

Maximum length: 40

consumer.primary

Flag that indicates whether this is the primary consumer.Possible values:

  • true: Primary consumer
  • false: Not primary consumer

Data type: Boolean

Default: false

consumer.state

State in which the consumer resides.Data type: String

Maximum length: 100

consumer.street

Consumer street address.Data type: String

Maximum length: 255

consumer.suffix

Consumer name suffix such as Jr., Sr., or II.Data type: String

consumer.sys_created_by

User that created the consumer record.Data type: String

Maximum length: 40

consumer.sys_created_on

Date and time the consumer record was originally created.Data type: String

consumer.sys_domain

ServiceNow domain in which the consumer information resides.Data type: String

consumer.sys_id

Unique identifier for the consumer.Data type: String

consumer.sys_mod_count

Number of times that the associated consumer information has been modified.Data type: Number (Integer)

consumer.sys_updated_by

User that last updated the consumer information.Data type: String

Maximum length: 40

consumer.sys_updated_on

Date and time when the consumer information was last updated.Data type: String

consumer.time_format

Format in which to display time.Valid values:

  • hh.mm.ss a: hh.mm.ss (12 hour)
  • hh:mm:ss a: hh:mm:ss (12 hour)
  • HH.mm.ss: hh.mm.ss (24 hour)
  • HH:mm:ss: hh:mm:ss (24 hour)

Data type: String

Maximum length: 40

Default: blank (system time format)

consumer.time_zone

Consumer time zone, such as Canada/Central or US/Eastern.Data type: String

Maximum length: 40

consumer.title

Consumer business title such as Manager, Software Developer, or Contractor.Data type: String

Maximum length: 60

consumer.user

Sys_id of the consumer user. Data type: String

Table: Consumer User [csm_consumer_user]

consumer.zip

Consumer zip code. Data type: String

Maximum length: 40

contact

Business-to-business based cases only. Sys_id of the person to contact regarding this case.Data type: String

Table: Contact [customer_contact]

contact

Array of contact parameters for business-to-business cases.

contact.account

Sys_id of the account record to which the contact is associated.Data type: String

Table: Account [customer_account]

contact.active

Flag that indicates whether the contact is active within the system.Possible values:

  • true: Contact is active
  • false: Contact is inactive

Data type: Boolean

Default: true

contact.agent_status

Status of the agent.Possible values:

  • Off work
  • On break
  • On route
  • On site

Data type: String

Maximum length: 40

contact.building

Sys_id of the record that describes the building in which the contact resides.Data type: String

Table: Building [cmn_building]

contact.calendar_integration

Calendar application that the contact uses.1: Outlook

Data type: Number (Integer)

Default: 1

contact.city

City in which the contact resides.Data type: String

Maximum length: 40

contact.company

Sys_id of the company record to which the contact is associated.Data type: String

Table: Company [core_company]

contact.cost_center

Sys_id of the cost center associated with the contact.Data type: String

Table: Cost Center [cmn_cost_center]

contact.country

Country code of the country in which the contact resides.Data type: String

Maximum length: 3

contact.date_format

Format in which to display dates to contacts.Valid values:

  • dd/mm/yyyy
  • dd-mm-yyyy
  • dd.mm.yyyy
  • mm-dd-yyyy
  • yyyy-mm-dd

Data type: String

Maximum length: 40

Default: blank (system date format)

contact.default_perspective

Sys_id of the default perspective for the contact.Data type: String

Table: Menu List [sys_perspective]

contact.department

Sys_id of the department associated with the contact.Data type: String

Table: Department [cmn_department]

contact.edu_status

Education status of the associated contact.Data type: String

Maximum length: 40

Default: faculty

contact.email

Contact email address.Data type: String

contact.employee_number

Contact employee number.Data type: String

contact.enable_multifactor_authn

Flag that indicates whether multifactor authorization is required for the contact to log in to the service portal.Possible values:

  • true: Multifactor authorization enabled
  • false: Multifactor authorization disabled

Data type: Boolean

Default: false

contact.failed_attempts

Number of failed log in attempts.Data type: Number (Integer)

contact.first_name

Contact first name.Data type: String

Maximum length: 50

contact.gender

Contact gender.Data type: String

Maximum length: 40

contact.geolocation_tracked

Flag that indicates whether the contact location is obtained through geotracking.Possible values:

  • true: Contact location obtained through geotracking
  • false: Contact location not obtained through geotracking

Data type: Boolean

Default value: false

contact.home_phone

Contact home phone number.Data type: String

Maximum length: 40

contact.internal_integration_user

Flag that indicates whether the contact is an internal integration user.Possible values:

  • true: Internal integration user
  • false: Other type of user

Data type: Boolean

Default: false

contact.introduction

IntroductionData type: String

Maximum length: 40

contact.last_login

Date on which the contact last logged into the system.Data type: String (Date)

contact.last_login_device

Device the consumer used the last time they logged in to the system.Data type: String

Maximum length: 40

contact.last_login_time

Date and time the contact logged in to the system.Data type: String (Date/time)

contact.last_name

Contact last name.Data type: String

Maximum length: 50

contact.last_position_update

Date and time the last position was updated.Data type: String (Date/time)

contact.latitude

Latitude coordinate of the contact.Data type: Number (Floating point)

Maximum length: 40

contact.ldap_server

Sys_id of the LDAP server used by the contact to last log in to the system. Data type: String

Table: LDAP Server [ldap_server_config]

contact.location

Sys_id of the record that describes the location of the contactData type: String

Table: Location [cmn_location]

contact.locked_out

Flag that indicates if the contact is locked-out.Possible values:

  • true: Contact locked-out
  • false: Contact not locked-out

Data type: Boolean

Default: false

contact.longitude

Longitude coordinate of the contact.Data type: Number (Floating point)

Maximum length: 40

contact.manager

Sys_id of the record that describes the direct supervisor of the contact.Data type: String

Table: User [sys_user]

contact.middle_name

Contact middle name.Data type: Number (Floating point)

Maximum length: 50

contact.mobile_phone

Contact mobile phone number.Data type: String

Maximum length: 40

contact.name

Contact full name.Data type: String

Maximum length: 151

contact.notification

Indicates whether the contact should receive notifications.Valid values:

  • 1: Disabled
  • 2: Enabled

Data type: Number (Integer)

Default: 2

contact.on_schedule

Indicates the timeliness of dispatched service personnel.Valid values:

  • Ahead: Ahead of schedule.
  • behind_less30: Behind schedule, but less than 30 minutes.
  • behind_30to60: Behind schedule between 30 and 60 minutes.
  • behind_more60: Behind schedule more than 60 minutes.
  • on_time: On schedule.

Data type: String

Maximum length: 40

contact.phone

Contact business phone number.Data type: String

Maximum length: 40

contact.photo

Photo image of the contact. Data type: String

contact.preferred_language

Country code of the contact primary language.Data type: String

Maximum length: 3

contact.roles

List of user roles associated with the contact.Data type: String

Maximum length: 40

contact.schedule

Sys_id of the record that describes the work schedule for the associated contact.Data type: String

Table: Schedule [cmn_schedule]

contact.source

Source of the contact.Data type: String

Maximum length: 255

contact.state

State in which the contact resides.Data type: String

Maximum length: 40

contact.street

Contact street address.Data type: String

Maximum length: 255

contact.sys_class_name

Table that contains the contact record. Data type: String

Maximum length: 80

contact.sys_created_by

User that originally created the associated contact record.Data type: String

Maximum length: 40

contact.sys_created_on

Data and time the associated contact was originally created.Data type: String (Date/time)

contact.sys_domain

ServiceNow instance domain of the associated contact record.Data type: String

contact.sys_domain_path

Contact record domain path.Data type: String

Maximum length: 255

Default: / (global)

contact.sys_id

Unique identifier for the associated contact record.Data type: String

contact.sys_mod_count

Number of times that the associated contact record has been modified.Data type: Number (Integer)

contact.sys_tags

System tags for the content.Data type: String

contact.sys_updated_by

User that last updated the associated contact information.Data type: String

Maximum length: 40

contact.sys_updated_on

Data and time the associated contact information was updated.Data type: String (Date/time)

contact.time_format

Format in which to display time.Valid values:

  • hh.mm.ss a: hh.mm.ss (12 hour)
  • hh:mm:ss a: hh:mm:ss (12 hour)
  • HH.mm.ss: hh.mm.ss (24 hour)
  • HH:mm:ss: hh:mm:ss (24 hour)

Data type: String

Maximum length: 40

Default: Blank (system time format)

contact.time_sheet_policy

Sys_id of the record that contains the time sheet policy for the associated contact.Data type: String

Table: Time Sheet Policy [time_sheet_policy]

contact.time_zone

Time zone in which the contact resides, such as Canada/Central or US/Eastern.Data type: String

Maximum length: 40

contact.title

Contact business title such as Manager, Software Developer, or Contractor.Data type: String

Maximum length: 60

contact.user_name

Contact user ID.Data type: String

Maximum length: 40

contact.vip

Flag that indicates whether the associated contact has VIP status.Possible values:

  • true: VIP
  • false: Not VIP

Data type: Boolean

Default: false

contact.web_service_access_only

Flag that indicates whether the contact can only access services through the web.Possible values:

  • true: Web access only
  • false: Access through all available methods

Data type: Boolean

Default: false

contact.zip

Contact zip code.Data type: String

Maximum length: 40

contact_local_time

Contact local time.Data type: String

Maximum length: 70

contact_time_zone

Time zone of the contact associated with the case.Data type: String

Maximum length: 40

contact_type

Method in which the case was initially reported.Possible values:

  • chat
  • email
  • phone
  • social
  • web

Data type: String

Maximum length: 40

contract

Sys_id of the contract associated with the case. This contract contains information about the type of support that is provided to the company associated to the case. A contract can include a company and contact and the specific assets that are covered. A contract can also include multiple service entitlements and SLAs.Data type: String

Table: Contract [ast_contract]

correlation_display

Correlation display.Data type: String

Maximum length: 100

correlation_id

Correlation identifier.Data type: String

Maximum length: 100

delivery_plan

Sys_id of the parent execution plan for this case.Data type: String

Table: Execution Plan [sc_cat_item_delivery_plan]

delivery_task

Sys_id of the execution plan task.Data type: String

Table: Execution Plan Task [sc_cat_item_delivery_task]

description

Detailed description of the problem associated with the case. Data type: String

Maximum length: 4,000

due_date

Date that the case is due to be closed.Data type: String

entitlement

Sys_id of the entitlement record associated with the case. Entitlements define the type of support that a customer receives as well as the supported communication channels. An entitlement can be associated with a product, an asset, an account, or a contract.Data type: String

Table: Entitlement [service_entitlement]

escalation

Current escalation level.Possible values:

  • 0: Normal
  • 1: Moderate
  • 2: High
  • 3: Overdue

Data type: Number (Integer)

Default: 0

expected_start

Date and time when work is scheduled to begin on the case.Data type: String

first_response_time

Date and time when the first action was taken on the case.Data type: String

follow_the_sun

Flag that indicates whether the case should be handed-off for global follow-up.If a customer enters additional comments on a Priority 1 - Critical or a Priority 2 - High case, or if the case is escalated, the flag is automatically set to true.

Possible values:

  • true: Case should be handed-off for global follow-up
  • false: Case shouldn't be handed-off for global follow-up

Data type: Boolean

Default: false

follow_up

Date and time of the next follow-up action.Data type: String

group_list

List of sys_ids of the group records associated with the case.Data type: Array

Table: Group [sys_user_group]

impact

Impact on customer.Possible values:

  • 1: High
  • 2: Medium
  • 3: Low

Data type: Number (Integer)

Default: 3

knowledge

Flag that indicates if there is a knowledge base article available for the specified issue.Possible values:

  • true: Knowledge base article is available for this issue
  • false: Knowledge base article is not available for this issue

Data type: Boolean

Default: false

location

Sys_id of the record describing the company location.Data type: String

Table: Location [cmn_location]

made_sla

Flag that indicates whether the case was resolved in alignment with the associated service level agreement.Possible values:

  • true: Case was resolved in alignment with SLA
  • false: Case wasn't resolved according to the SLA

Data type: Boolean

Default: true

major_case_state

Current state of the major case.Possible values:

  • accepted: Initial state when a manager creates a major case or when a manager promotes a candidate case.
  • canceled: Case is canceled.
  • proposed: Initial state when an agent or manager creates or proposes a candidate case.
  • rejected: Manager rejected candidate case.

Data type: String

Maximum length: 40

needs_attention

Flag that indicates whether the case needs attention.Possible values:

  • true: Case needs additional attention
  • false: Case doesn't need additional attention

Data type: Boolean

Default: false

notes_to_comments

Flag that indicates whether to add the resolution notes to the comments.Possible values:

  • true: Resolutions notes, when added, are also added to the comments
  • false: Resolution notes in comments aren't required

Data type: Boolean

notify

Method to use to notify contact/consumer.Possible values:

  • 1: Do not notify
  • 2: Send email
  • 3: Telephone

Data type: Number (Integer)

Default: 1

number

Case number.Data type: String

Maximum length: 40

opened_at

Date and time that the case was opened.Data type: String

opened_by

Sys_id of the person that initially opened the case.Data type: String

Table: User [sys_user]

order

Order of the case.Data type: Number (Integer)

parent

Sys_id of the parent case to which this case (child) is associated.Data type: String

Table: Task [task]

partner

Sys_id of the partner associated with the case.Data type: String

Table: Account [customer_account]

partner_contact

Sys_id of the partner contact associated with the case.Data type: String

Table: Contact [customer_contact]

priority

Priority of the case. Possible values:

  • 1: Critical
  • 2: High
  • 3: Moderate
  • 4: Low

Data type: Number (Integer)

Default: 4

probable_cause

Possible cause of the issue associated with the case.Data type: String

Maximum length: 4,000

problem

Sys_id of the issue that the customer is encountering.Data type: String

Table: Problem [problem]

product

Sys_id of the product model of the asset associated to the case. A model is a specific version or configuration of an asset (for example, Apple Mac Book Pro).Data type: String

Table: Product Model [cmdb_model]

reassignment_count

Number of times that the case was reassigned to a person that is responsible for moving the case forward.Data type: Number (Integer)

Default: 0

recipient_list

Sys_id of the record that contains the list of recipients for communications about this case.Data type: String

Table: Recipients List [sn_publications_recipients_list]

rejection_goto

Sys_id of the task to execute if the case is rejected.Data type: String

Table: Task [task]

resolution_code

Resolution state for the case, such as "Solved - Fixed by Support/Guidance provided". Data type: String

Maximum length: 40

resolved_at

Date and time that the case was resolved.Data type: String

resolved_by

Sys_id of the person that resolved the case.Data type: String

Table: User [sys_user]

result

List of values for the requested field.Data type: Array of Objects

CSS
"result": [  {    "label": "String",    "value": "String"  }]

result.label

Display value for the field value.Data type: String

result.value

Field value.Data type: String

short_description

Concise description of the case. Data type: String

Maximum length: 160

skills

List of the unique identifiers (sys_id) of the skills needed to complete the case.Data type: String

Table: Skill [cmn_skill]

sla_due

Date/time at which the case must be closed based on the associated service level agreement.Data type: String

sn_app_cs_social_social_profile

Details for a specific social media profile, such as Facebook, Twitter, or YouTube.Data type: Array of Objects

JavaScript
"sn_app_cs_social_social_profile": [  {    "account": "String",    "channel": [Array],    "contact": {Object},    "consumer": {Object},    "created_on": "String",    "profile": "String",    "profile_url": "String",    "social_id": "String",    "source": "String",    "sys_created_by": "String",    "sys_created_on": "String",    "sys_id": "String",    "sys_mod_count": Number,    "sys_tags": "String",    "sys_updated_by": "String",    "sys_updated_on": "String"  }]

sn_app_cs_social_social_profile.account

Unique identifier of the record containing account information for the social media profile. Located in the Account [customer_account] table.Data type: String

sn_app_cs_social_social_profile.channel

Details on the associated social media profile channel.Data type: Object

JavaScript
"channel": {  "name": "String",  "sys_class_name": "String",  "sys_created_by": "String",  "sys_created_on": "String",  "sys_mod_count": Number,  "sys_package": "String",  "sys_policy": "String",  "sys_scope": "String",  "sys_tags": "String",  "sys_update_name": "String",  "sys_updated_by": "String",  "sys_updated_on": "String"}

sn_app_cs_social_social_profile.channel.name

Name of the social media channel.Data type: String

Maximum length: 100

sn_app_cs_social_social_profile.channel.sys_class_name

Table that contains the social media channel record.Data type: String

Maximum length: 80

sn_app_cs_social_social_profile.channel.sys_created_by

Person that created the social media channel.Data type: String

Maximum length: 40

sn_app_cs_social_social_profile.channel.sys_created_on

Date and time the social media profile was created.Data type: Date/time

Maximum length: 40

sn_app_cs_social_social_profile.channel.sys_id

Unique identifier of the associated social media profile channel.Data type: String

sn_app_cs_social_social_profile.channel.sys_mod_count

Number of times that information was modified for the associated social media profile channel.Data type: Integer

sn_app_cs_social_social_profile.channel.sys_name

System name of channel.Data type: String

Maximum length: 255

sn_app_cs_social_social_profile.channel.sys_package

Unique identifier of the record that contains information about the package associated with the profile; Package [sys_package] table.Data type: Reference

sn_app_cs_social_social_profile.channel.sys_policy

System protection policy.Possible values:

  • protected
  • read

Data type: String

Maximum length: 40

sn_app_cs_social_social_profile.channel.sys_scope

Unique identifier of the record that contains information about the scope of the social profile; Application [sys_scope] table.Data type: Reference

sn_app_cs_social_social_profile.channel.sys_tags

System tags associated with the channel.Data type: String

sn_app_cs_social_social_profile.channel.sys_update_name

Name of the person that last updated the social media profile channel.Data type: String

Maximum length: 250

sn_app_cs_social_social_profile.channel.sys_updated_by

User that last updated the social media profile channel.Data type: String

Maximum length: 40

sn_app_cs_social_social_profile.channel.sys_updated_on

Date and time the social media profile channel was last updated.Data type: Date/time

Maximum length: 40

sn_app_cs_social_social_profile.consumer

For business-to-consumer cases. Details about the consumer associated with the case.Data type: Object

JavaScript
"consumer": {  "active": Boolean,  "business_phone": "String",  "city": "String",  "country": "String",  "date_format": "String",  "email": "String",  "fax": "String",  "first_name": "String",  "gender": "String",  "home_phone": "String",  "household": "String",  "last_name": "String",  "middle_name": "String",  "mobile_phone": "String",  "name": "String",  "notes": "String",  "notification": Number,  "number": "String",  "photo": Image,  "preferred_language": "String",  "prefix": "String",  "primary": Boolean,  "state": "String",  "street": "String",  "suffix": "String",  "sys_created_by": "String",  "sys_created_on": "String",  "sys_domain": "String",  "sys_id": "String",  "sys_mod_count": Number,  "sys_tags": "String",  "sys_updated_by": "String",  "sys_updated_on": "String",  "time_format": "String",  "time_zone": "String",  "title": "String",  "user": "String",  "zip": "String"}

sn_app_cs_social_social_profile.consumer.active

Flag that indicates whether the consumer is active.Possible values:

  • true: Consumer active
  • false: Consumer de-activated

Data type: Boolean

Default: true

sn_app_cs_social_social_profile.consumer.business_phone

Business phone number of the consumer.Data type: String

Maximum length: 40

sn_app_cs_social_social_profile.consumer.city

City in which the consumer resides.Data type: String

Maximum length: 100

sn_app_cs_social_social_profile.consumer.country

Country in which the consumer resides.Data type: String

Maximum length: 40

sn_app_cs_social_social_profile.consumer.date_format

Format in which to display dates.Valid values:

  • dd-mm-yyyy
  • dd/mm/yyyy
  • dd.mm.yyyy
  • mm-dd-yyyy
  • yyyy-mm-dd

Data type: String

Maximum length: 40

Default: blank (system date format)

sn_app_cs_social_social_profile.consumer.email

Email address of the consumer.Data type: String

Maximum length: 100

sn_app_cs_social_social_profile.consumer.fax

Fax number of the consumer.Data type: String

Maximum length: 40

sn_app_cs_social_social_profile.consumer.first_name

Consumer first name.Data type: String

Maximum length: 50

sn_app_cs_social_social_profile.consumer.gender

Gender of the consumer.Data type: String

Maximum length: 40

sn_app_cs_social_social_profile.consumer.home_phone

Home phone number of the consumer.Data type: String

Maximum length: 40

sn_app_cs_social_social_profile.consumer.household

Sys_id of the record that describes the household characteristics.Data type: String

Table: Household [csm_household]

sn_app_cs_social_social_profile.consumer.last_name

Consumer last name.Data type: String

Maximum length: 50

sn_app_cs_social_social_profile.consumer.middle_name

Consumer middle name.Data type: String

Maximum length: 50

sn_app_cs_social_social_profile.consumer.mobile_phone

Consumer mobile phone number.Data type: String

Maximum length: 40

sn_app_cs_social_social_profile.consumer.name

Consumer full name; first_name+middle_name+last_name.Data type: String

Maximum length: 152

sn_app_cs_social_social_profile.consumer.notes

Notes on consumer.Data type: String

Maximum length: 4,000

sn_app_cs_social_social_profile.consumer.notification

Indicates whether the consumer should receive notifications.Valid values:

  • 1: Disabled
  • 2: Enabled

Data type: Number (Integer)

Maximum length: 40

Default: 2

sn_app_cs_social_social_profile.consumer.number

Unique number associated with the consumer.Data type: String

Maximum length: 40

sn_app_cs_social_social_profile.consumer.photo

Photo of the consumer.Data type: Image

sn_app_cs_social_social_profile.consumer.preferred_language

Consumer primary language.Data type: String

Maximum length: 3

sn_app_cs_social_social_profile.consumer.prefix

Consumer name prefix such as, Dr., Mr., Mrs., or Ms.Data type: String

Maximum length: 40

sn_app_cs_social_social_profile.consumer.primary

Flag that indicates whether this is the primary consumer.Possible values:

  • true: Primary consumer
  • false: Not primary consumer

Data type: Boolean

Default: false

sn_app_cs_social_social_profile.consumer.state

State in which the consumer resides.Data type: String

Maximum length: 100

sn_app_cs_social_social_profile.consumer.street

Consumer street address.Data type: String

Maximum length: 255

sn_app_cs_social_social_profile.consumer.suffix

Consumer name suffix such as Jr., Sr., or II.Data type: String

sn_app_cs_social_social_profile.consumer.sys_created_by

User that created the consumer record.Data type: String

Maximum length: 40

sn_app_cs_social_social_profile.consumer.sys_created_on

Date and time the consumer record was originally created.Data type: String

sn_app_cs_social_social_profile.consumer.sys_domain

ServiceNow domain in which the consumer information resides.Data type: String

sn_app_cs_social_social_profile.consumer.sys_id

Unique identifier for the consumer.Data type: String

sn_app_cs_social_social_profile.consumer.sys_mod_count

Number of times that the associated consumer information has been modified.Data type: Number (Integer)

sn_app_cs_social_social_profile.consumer.sys_tags

Consumer system tags.

sn_app_cs_social_social_profile.consumer.sys_updated_by

User that last updated the consumer information.Data type: String

Maximum length: 40

sn_app_cs_social_social_profile.consumer.sys_updated_on

Date and time when the consumer information was last updated.Data type: String

sn_app_cs_social_social_profile.consumer.time_format

Format in which to display time.Valid values:

  • hh.mm.ss a: hh.mm.ss (12 hour)
  • hh:mm:ss a: hh:mm:ss (12 hour)
  • HH.mm.ss: hh.mm.ss (24 hour)
  • HH:mm:ss: hh:mm:ss (24 hour)

Data type: String

Maximum length: 40

Default: blank (system time format)

sn_app_cs_social_social_profile.consumer.time_zone

Consumer time zone, such as Canada/Central or US/Eastern.Data type: String

Maximum length: 40

sn_app_cs_social_social_profile.consumer.title

Consumer business title such as Manager, Software Developer, or Contractor.Data type: String

Maximum length: 60

sn_app_cs_social_social_profile.consumer.user

Sys_id of the consumer user. Data type: String

Table: Consumer User [csm_consumer_user]

sn_app_cs_social_social_profile.consumer.zip

Consumer zip code. Data type: String

Maximum length: 40

sn_app_cs_social_social_profile.contact

For business-to-business cases. Unique identifier of the record containing details about the social media profile that belongs to the contact associated with the case. Located in the Contact [customer_contact] table.Data type: String

sn_app_cs_social_social_profile.contact.account

Sys_id of the account record to which the contact is associated.Data type: String

Table: Account [customer_account]

sn_app_cs_social_social_profile.contact.active

Flag that indicates whether the contact is active within the system.Possible values:

  • true: Contact is active
  • false: Contact is inactive

Data type: Boolean

Default: true

sn_app_cs_social_social_profile.contact.agent_status

Status of the agent.Possible values:

  • Off work
  • On break
  • On route
  • On site

Data type: String

Maximum length: 40

sn_app_cs_social_social_profile.contact.building

Sys_id of the record that describes the building in which the contact resides.Data type: String

Table: Building [cmn_building]

sn_app_cs_social_social_profile.contact.calendar_integration

Calendar application that the contact uses.1: Outlook

Data type: Number (Integer)

Default: 1

sn_app_cs_social_social_profile.contact.city

City in which the contact resides.Data type: String

Maximum length: 40

sn_app_cs_social_social_profile.contact.company

Sys_id of the company record to which the contact is associated.Data type: String

Table: Company [core_company]

sn_app_cs_social_social_profile.contact.cost_center

Sys_id of the cost center associated with the contact.Data type: String

Table: Cost Center [cmn_cost_center]

sn_app_cs_social_social_profile.contact.country

Country code of the country in which the contact resides.Data type: String

Maximum length: 3

sn_app_cs_social_social_profile.contact.date_format

Format in which to display dates to contacts.Valid values:

  • dd/mm/yyyy
  • dd-mm-yyyy
  • dd.mm.yyyy
  • mm-dd-yyyy
  • yyyy-mm-dd

Data type: String

Maximum length: 40

Default: blank (system date format)

sn_app_cs_social_social_profile.contact.default_perspective

Sys_id of the default perspective for the contact.Data type: String

Table: Menu List [sys_perspective]

sn_app_cs_social_social_profile.contact.department

Sys_id of the department associated with the contact.Data type: String

Table: Department [cmn_department]

sn_app_cs_social_social_profile.contact.edu_status

Education status of the associated contact.Data type: String

Maximum length: 40

Default: faculty

sn_app_cs_social_social_profile.contact.email

Contact email address.Data type: String

sn_app_cs_social_social_profile.contact.employee_number

Contact employee number.Data type: String

sn_app_cs_social_social_profile.contact.enable_multifactor_authn

Flag that indicates whether multifactor authorization is required for the contact to log in to the service portal.Possible values:

  • true: Multifactor authorization enabled
  • false: Multifactor authorization disabled

Data type: Boolean

Default: false

sn_app_cs_social_social_profile.contact.failed_attempts

Number of failed log in attempts.Data type: Number (Integer)

sn_app_cs_social_social_profile.contact.first_name

Contact first name.Data type: String

Maximum length: 50

sn_app_cs_social_social_profile.contact.gender

Contact gender.Data type: String

Maximum length: 40

sn_app_cs_social_social_profile.contact.geolocation_tracked

Flag that indicates whether the contact location is obtained through geotracking.Possible values:

  • true: Contact location obtained through geotracking
  • false: Contact location not obtained through geotracking

Data type: Boolean

Default value: false

sn_app_cs_social_social_profile.contact.home_phone

Contact home phone number.Data type: String

Maximum length: 40

sn_app_cs_social_social_profile.contact.internal_itegration_user

Flag that indicates whether the contact is an internal integration user.Possible values:

  • true: Internal integration user
  • false: Other type of user

Data type: Boolean

Default: false

sn_app_cs_social_social_profile.contact.introduction

IntroductionData type: String

Maximum length: 40

sn_app_cs_social_social_profile.contact.last_login

Date on which the contact last logged into the system.Data type: String (Date)

sn_app_cs_social_social_profile.contact.last_login_device

Device the consumer used the last time they logged in to the system.Data type: String

Maximum length: 40

sn_app_cs_social_social_profile.contact.last_login_time

Date and time the contact logged in to the system.Data type: String (Date/time)

sn_app_cs_social_social_profile.contact.last_name

Contact last name.Data type: String

Maximum length: 50

sn_app_cs_social_social_profile.contact.last_position_update

Date and time the last position was updated.Data type: String (Date/time)

sn_app_cs_social_social_profile.contact.latitude

Latitude coordinate of the contact.Data type: Number (Floating point)

Maximum length: 40

sn_app_cs_social_social_profile.contact.ldap_server

Sys_id of the LDAP server used by the contact to last log in to the system. Data type: String

Table: LDAP Server [ldap_server_config]

sn_app_cs_social_social_profile.contact.location

Sys_id of the record that describes the location of the contactData type: String

Table: Location [cmn_location]

sn_app_cs_social_social_profile.contact.locked_out

Flag that indicates if the contact is locked-out.Possible values:

  • true: Contact locked-out
  • false: Contact not locked-out

Data type: Boolean

Default: false

sn_app_cs_social_social_profile.contact.longitude

Longitude coordinate of the contact.Data type: Number (Floating point)

Maximum length: 40

sn_app_cs_social_social_profile.contact.manager

Sys_id of the record that describes the direct supervisor of the contact.Data type: String

Table: User [sys_user]

sn_app_cs_social_social_profile.contact.middle_name

Contact middle name.Data type: Number (Floating point)

Maximum length: 50

sn_app_cs_social_social_profile.contact.mobile_phone

Contact mobile phone number.Data type: String

Maximum length: 40

sn_app_cs_social_social_profile.contact.name

Contact full name.Data type: String

Maximum length: 151

sn_app_cs_social_social_profile.contact.notification

Indicates whether the contact should receive notifications.Valid values:

  • 1: Disabled
  • 2: Enabled

Data type: Number (Integer)

Default: 2

sn_app_cs_social_social_profile.contact.on_schedule

Indicates the timeliness of dispatched service personnel.Valid values:

  • Ahead: Ahead of schedule.
  • behind_less30: Behind schedule, but less than 30 minutes.
  • behind_30to60: Behind schedule between 30 and 60 minutes.
  • behind_more60: Behind schedule more than 60 minutes.
  • on_time: On schedule.

Data type: String

Maximum length: 40

sn_app_cs_social_social_profile.contact.phone

Contact business phone number.Data type: String

Maximum length: 40

sn_app_cs_social_social_profile.contact.photo

Photo image of the contact. Data type: String

sn_app_cs_social_social_profile.contact.preferred_language

Country code of the contact primary language.Data type: String

Maximum length: 3

sn_app_cs_social_social_profile.contact.roles

List of user roles associated with the contact.Data type: String

Maximum length: 40

sn_app_cs_social_social_profile.contact.schedule

Sys_id of the record that describes the work schedule for the associated contact.Data type: String

Table: Schedule [cmn_schedule]

sn_app_cs_social_social_profile.contact.source

Source of the contact.Data type: String

Maximum length: 255

sn_app_cs_social_social_profile.contact.state

State in which the contact resides.Data type: String

Maximum length: 40

sn_app_cs_social_social_profile.contact.street

Contact street address.Data type: String

Maximum length: 255

sn_app_cs_social_social_profile.contact.sys_class_name

Table that contains the contact record. Data type: String

Maximum length: 80

sn_app_cs_social_social_profile.contact.sys_created_by

User that originally created the associated contact record.Data type: String

Maximum length: 40

sn_app_cs_social_social_profile.contact.sys_created_on

Data and time the associated contact was originally created.Data type: String (Date/time)

sn_app_cs_social_social_profile.contact.sys_domain

ServiceNow instance domain of the associated contact record.Data type: String

sn_app_cs_social_social_profile.contact.sys_domain_path

Contact record domain path.Data type: String

Maximum length: 255

Default: / (global)

sn_app_cs_social_social_profile.contact.sys_id

Unique identifier for the associated contact record.Data type: String

sn_app_cs_social_social_profile.contact.sys_mod_count

Number of times that the associated contact record has been modified.Data type: Number (Integer)

sn_app_cs_social_social_profile.contact.sys_tags

Contact system tags.

sn_app_cs_social_social_profile.contact.sys_updated_by

User that last updated the associated contact information.Data type: String

Maximum length: 40

sn_app_cs_social_social_profile.contact.sys_updated_on

Data and time the associated contact information was updated.Data type: String (Date/time)

sn_app_cs_social_social_profile.contact.time_format

Format in which to display time.Valid values:

  • hh.mm.ss a: hh.mm.ss (12 hour)
  • hh:mm:ss a: hh:mm:ss (12 hour)
  • HH.mm.ss: hh.mm.ss (24 hour)
  • HH:mm:ss: hh:mm:ss (24 hour)

Data type: String

Maximum length: 40

Default: Blank (system time format)

sn_app_cs_social_social_profile.contact.time_sheet_policy

Sys_id of the record that contains the time sheet policy for the associated contact.Data type: String

Table: Time Sheet Policy [time_sheet_policy]

sn_app_cs_social_social_profile.contact.time_zone

Time zone in which the contact resides, such as Canada/Central or US/Eastern.Data type: String

Maximum length: 40

sn_app_cs_social_social_profile.contact.title

Contact business title such as Manager, Software Developer, or Contractor.Data type: String

Maximum length: 60

sn_app_cs_social_social_profile.contact.user_name

Contact user ID.Data type: String

Maximum length: 40

sn_app_cs_social_social_profile.contact.vip

Flag that indicates whether the associated contact has VIP status.Possible values:

  • true: VIP
  • false: Not VIP

Data type: Boolean

Default: false

sn_app_cs_social_social_profile.contact.web_service_access_only

Flag that indicates whether the contact can only access services through the web.Possible values:

  • true: Web access only
  • false: Access through all available methods

Data type: Boolean

Default: false

sn_app_cs_social_social_profile.contact.zip

Contact zip code.Data type: String

Maximum length: 40

sn_app_cs_social_social_profile.created_on

Date and time the associated social media profile was initially created.

sn_app_cs_social_social_profile.profile

Social profile.Data type: String

Maximum length: 255

sn_app_cs_social_social_profile.profile_url

URL to use to access the social media profile.Data type: String

Maximum length: 1,024

sn_app_cs_social_social_profile.social_id

Unique social media account provider identifier for the associated social media account.Data type: String

Maximum length: 100

sn_app_cs_social_social_profile.source

Source of the social profile.Data type: String

Maximum length: 255

sn_app_cs_social_social_profile.sys_created_by

User that initially created the social media profile.Data type: String

Maximum length: 40

sn_app_cs_social_social_profile.sys_created_on

Date and time the social media profile was initially created.Data type: String (Date/time)

sn_app_cs_social_social_profile.sys_id

Unique identifier for the social media profile.Data type: String

sn_app_cs_social_social_profile.sys_mod_count

Number of times that information was modified for the associated social media profile.Data type: Number (Integer)

sn_app_cs_social_social_profile.sys_tags

Profile system tags.

sn_app_cs_social_social_profile.sys_updated_by

User that initially created the social media profile.Data type: String

Maximum length: 40

sn_app_cs_social_social_profile.sys_updated_on

User that initially created the social media profile.Data type: String

Maximum length: 40

state

Current state of the case.Possible values:

  • 1: New
  • 3: Closed
  • 6: Resolved
  • 10: Open
  • 18: Awaiting Info

Data type: Number (Integer)

Default: 1

subcategory

Case subcategory.Possible values:

0: QuestionData type: Number (Integer)

Default: 0

support_manager

Sys_id of the CSM manager assigned to the case.Data type: String

Table: User [sys_user]

sync_driver

Flag that indicates whether there's driver synchronization.Possible values:

  • true: Driver is synchronized
  • false: Driver isn't synchronized

Data type: Boolean

sys_class_name

Table that contains the case record.Data type: String

Maximum length: 80

sys_created_by

Person that initially opened the case.Data type: String

Maximum length: 40

sys_created_on

Date and time when the case was initially created.Data type: String

sys_domain

Domain associated with the case.Data type: String

Maximum length: 32

Default: global

sys_domain_path

Domain path.Data type: String

Maximum length: 255

Default: /

sys_id

Unique identifier for the case.Data type: String

Maximum length: 32

sys_mod_count

Number of updates to the case since it was initially created.Data type: Number (Integer)

sys_tags

System tags.

sys_updated_by

Person that last updated the case.Data type: String

Maximum length: 40

sys_updated_on

Date and time when the case was last updated.Data type: String

time_worked

Total amount of time worked on the case.Data type: String

upon_approval

Action to take if the case is approved.Possible values:

  • do_nothing
  • proceed

Data type: String

Maximum length: 40

Default: proceed

upon_reject

Action to take if the case is rejected.Possible values:

  • cancel
  • goto

Data type: String

Maximum length: 40

Default: cancel

urgency

Urgency of the case.Possible values:

  • 1: High
  • 2: Medium
  • 3: Low

Data type: Number (Integer)

Default: 3

user_input

Additional user input.Data type: String

Maximum length: 4,000

variable_pool

Grouping of variables.

variables

Name-value pairs of variables associated with the case.Data type: String

Maximum length: 40

watch_list

List of sys_ids of the users who receive notifications about this case when additional comments are added or if the state of a case is changed to Resolved or Closed.Data type: Array

Table: User [sys_user]

wf_activity

Sys_id of the workflow activity record associated with the case.Data type: String

Table: Workflow Activity [wf_activity]

work_end

Date and time work ended on the case.Data type: String

work_notes

Information about how to resolve the case, or steps taken to resolve it.Data type: String

Maximum length: 4,000

work_notes_list

List of sys_ids of the internal users who receive notifications about this case when work notes are added.Data type: Array

Table: User [sys_user]

work_start

Date and time that work started on the case.Data type: String

### cURL request
Shell
curl "https://instance.servicenow.com/api/sn_customerservice/case/ba325dbe64f01300964fae39b050e9a6" \--request GET \--header "Accept:application/json" \--user "username":"password"
JSON
{  "result": {    "parent": "",    "caused_by": "",    "watch_list": "",    "active_escalation": "",    "upon_reject": "cancel",    "sys_updated_on": "2018-06-18 00:14:43",    "support_manager": "",    "approval_history": "",    "skills": "",    "number": "CS0000871",    "problem": "",    "state": "10",    "case": "Acme Analytics performance degradation​CS0000871",    "sys_created_by": "john.jason",    "knowledge": "false",    "order": "",    "cmdb_ci": "",    "delivery_plan": "",    "impact": "3",    "contract": "",    "active": "true",    "work_notes_list": "",    "auto_created_case": "false",    "priority": "1",    "sys_domain_path": "/",    "rejection_goto": "",    "first_response_time": "",    "business_duration": "",    "group_list": "",    "child_case_creation_progress": "false",    "sync_driver": "false",    "approval_set": "",    "wf_activity": "",    "short_description": "Acme Analytics performance degradation",    "correlation_display": "",    "delivery_task": "",    "work_start": "",    "recipient_list": "",    "additional_assignee_list": "",    "notify": "1",    "sys_class_name": "sn_customerservice_case",    "closed_by": "",    "follow_up": "",    "contact_local_time": "",    "sn_app_cs_social_social_profile": "",    "reassignment_count": "0",    "contact_time_zone": "",    "notes_to_comments": "false",    "assigned_to": "da419c1fc312310015519f2974d3ae15",    "product": "4c84a024c3211200bb779f2974d3aef6",    "variables": "",    "variable_pool": "",    "hierarchical_variables": "variable_pool",    "sla_due": "",    "change": "",    "comments_and_work_notes": "",    "partner": "",    "escalation": "0",    "upon_approval": "proceed",    "partner_contact": "",    "correlation_id": "",    "asset": "",    "made_sla": "true",    "resolved_by": "",    "sys_updated_by": "john.jason",    "opened_by": "da419c1fc312310015519f2974d3ae15",    "user_input": "",    "sys_created_on": "2018-06-18 00:14:39",    "contact": "",    "sys_domain": "global",    "closed_at": "",    "follow_the_sun": "false",    "entitlement": "",    "business_service": "",    "business_impact": "Acme Anaytics performance is extremely slow. Customers are not able to use it. ",    "time_worked": "",    "expected_start": "",    "opened_at": "2018-06-18 00:14:39",    "work_end": "",    "resolved_at": "",    "case_report": "27329dbe64f01300964fae39b050e93c",    "subcategory": "0",    "work_notes": "",    "assignment_group": "",    "cause": "",    "description": "",    "calendar_duration": "",    "close_notes": "",    "sys_id": "ba325dbe64f01300964fae39b050e9a6",    "contact_type": "web",    "resolution_code": "",    "probable_cause": "",    "urgency": "3",    "company": "",    "major_case_state": "accepted",    "consumer": "",    "activity_due": "",    "comments": "",    "approval": "not requested",    "due_date": "",    "sys_mod_count": "2",    "sys_tags": "",    "active_account_escalation": "",    "location": "",    "category": "1",    "account": ""  }}

Case - GET /sn_customerservice/case

Retrieves a specified set of Customer Service Management (CSM) cases.

To use this endpoint, users must have the csm_ws_integration, sn_customerservice.customer, or sn_customerservice.consumer role.

Note: You can reference all sysparm query parameters using either their full name or their shortened name (without the sysparm_ prefix). For example, for sysparm_limit you can also use limit.

URL format

Versioned URL: /api/sn_customerservice/{api_version}/case

Default URL: /api/sn_customerservice/case

Note: Available versions are specified in the REST API Explorer. For scripted REST APIs there is additional version information on the Scripted REST Service form.

Supported request parameters

Name

Description

api_version

Optional. Version of the endpoint to access. For example, v1 or v2. Only specify this value to use an endpoint version other than the latest. Data type: String

Name

Description

sysparm_display_value

Data retrieval operation for reference and choice fields.Based on this value, retrieves the display value and/or the actual value from the database.

Data type: String

Valid values:

  • true: Returns the display values for all fields
  • false: Returns the actual values from the database
  • all: Returns both actual and display values

Default: false

Note: There is no preferred method for setting this parameter. However, specifying the display value may cause performance issues since it is not reading directly from the database and may include referencing other fields and records. For more information on display values and actual values, see Table API FAQs (KB0534905).

sysparm_fields

Comma-separated list of fields to return in the response. Invalid fields are ignored.Data type: String

Default: Return all fields.

sysparm_limit

Maximum number of records to return. Unusually large sysparm_limit values can impact system performance. For requests that exceed this number of records, use the sysparm_offset parameter to paginate record retrieval. Data type: Number

sysparm_offset

Starting record index for which to begin retrieving records. Use this value to paginate record retrieval. This functionality enables the retrieval of all records, regardless of the number of records, in small manageable chunks. For example, the first time you call this endpoint, sysparm_offset is set to "0". To simply page through all available records, use sysparm_offset=sysparm_offset+sysparm_limit, until you reach the end of all records.

Do not pass a negative number in the sysparm_offset parameter.Data type: Number

Default: 0

sysparm_query

Encoded query used to filter the result set.For example:

(sysparm_query=caller_id=javascript:gs.getUserID()^active=true)

The encoded query supports order by. To sort responses based on certain fields, use the ORDERBY and ORDERBYDESC clauses in sysparm_query. For example, sysparm_query=active=true^ORDERBYnumber^ORDERBYDESCcategory filters all active records and orders the results in ascending order by number first, and then in descending order by category.

If part of the query is invalid, such as by specifying an invalid field name, the instance ignores the invalid part. It then returns rows using only the valid portion of the query. You can control this behavior using the property glide.invalid_query.returns_no_rows. Set this property to true to return no rows on an invalid query.

Note: The glide.invalid_query.returns_no_rows property controls the behavior of all queries across the instance, such as in lists, scripts (GlideRecord.query()), and web service APIs.

Data type: String

sysparm_reference_fields

Whether or not to retrieve fields from reference tables such as account, contact, consumer, and sn_app_cs_social_social_profile. By default, these fields are returned if the user has read access to them, but this adds performance overhead. When retrieving a large number of case records, this overhead can be eliminated by setting sysparm_reference_fields=false.Data type: Boolean

Default: true

Note: When using this endpoint, you can omit the sysparm_ prefix for this query parameter and specify it as reference_fields.

|Name|Description| |----|-----------| |None| |

Headers

The following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see Supported REST API headers.

Header

Description

Accept

Data format of the response body. Supported types: application/json or application/xml. Default: application/json

Header

Description

Link

REST response data can be split into multiple result sets. Where applicable, the response header contains different links for the first set, previous set, next set, and the last set of records.For example:

https://<instance name>.service-now.com/api/now/table/cmdb_ci?sysparm_offset=40&sysparm_limit=1000>;rel="next",

https://<instance name>.service-now.com/api/now/table/cmdb_ci?sysparm_offset=40&sysparm_limit=1000>;rel="prev",

https://<instance name>.service-now.com/api/now/table/cmdb_ci?sysparm_offset=0&sysparm_limit=1000>;rel="first",

https://<instance name>.service-now.com/api/now/table/cmdb_ci?sysparm_offset=2780&sysparm_limit=1000>;rel="last"

X-Total-Count

Response header showing the total number of records matching the request when the sysparm_limit or sysparm_offset query parameters are specified.

### Status codes

The following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see REST API HTTP response codes.

Status code Description
200 Successful. The request was successfully processed.
401 Unauthorized. The user credentials are incorrect or have not been passed.
500 Internal Server Error. A logic error on the server-side code occurred.

Response body parameters (JSON or XML)

Element

Description

account

Sys_id of the account record associated with the case.

Data type: String

Table: Account [customer_account]

account

Account details.Data type: Object

Shell
"account": {  "account_code": "String",  "account_parent": "String",  "account_path": "String",  "active_escalation": "String",  "apple_icon": Image,  "banner_image": Image,  "banner_image_light": Image,  "banner_text": "String",  "city": "String",  "contact": "String",  "country": "String",  "customer": "String",  "discount": "String",  "fax_phone": "String",  "fiscal_year": "String",  "lat_long_error": "String",  "latitude": "String",  "longitude": "String",  "market_cap": "String",  "name": "String",  "notes": "String",  "num_employees": Number,  "number": "String",  "parent": "String",  "partner": "String",  "phone": "String",  "primary": Boolean,  "primary_contact": "String",  "profits": Number,  "publicly_traded": Boolean,  "rank_tier": "String",  "registration_code": "String",  "revenue_per_year": Number,  "state": "String",  "stock_price": "String",  "stock_symbol": "String",  "street": "String",  "sys_class_name": "String",  "sys_created_by": "String",  "sys_created_on": "String",  "sys_id": "String",  "sys_mod_count": Number,  "sys_updated_by": "String",  "sys_updated_on": "String",  "theme": "String",  "vendor": Boolean,  "vendor_manager": "String",  "vendor_type": "String",  "website": "String",  "zip": "String}

account.account_code

Unique combination of values that an application uses to identify budget forecasts and budget plans.Data type: String

Maximum length: 255

account.account_parent

Sys_id of the parent account of this account. Located in the Account [customer_account] table.Data type: String

account.account_path

Path from the parent to the child accounts in the account hierarchy.Data type: String

Maximum length: 255

account.active_escalation

Sys_id of the active escalation associated with the account.Data type: String

[...]
